WordPress.org

Ready to get started?Download WordPress

Forums

Easy FancyBox
[resolved] Easy FancyBox doesn't work with IE8? (10 posts)

  1. THWIT
    Member
    Posted 1 year ago #

    Hello,

    I'm using Easy FancyBox on my website, but if I have Easy FancyBox turned on and someone's using IE8 (or lower), my site get's stuck in loading and crashes.
    If I'm using a newer IE version, or another browser (for example Firefox) everything is all right.

    Is this a known problem? And how can I fix it for now? (Is it possible to deactivate this plugin only for IE8?)

    Greetings,
    THWIT

    http://wordpress.org/extend/plugins/easy-fancybox/

  2. RavanH
    Member
    Plugin Author

    Posted 1 year ago #

    Hi, do you have a link to the site where this is happening?

  3. THWIT
    Member
    Posted 1 year ago #

    Erikkrebbers.nl
    Here you go.

    Thanks in advance.

  4. RavanH
    Member
    Plugin Author

    Posted 1 year ago #

    Ben bang dat ik zelfs de voorpagina niet open krijg in IE8.

    In Chrome I see a long (50+) list of "Failed to load source..." errors in console ranging from missing theme script, image and font files to spotify (?) script requests that meet a 102 Connection Refused error.

    Not sure how to debug this as I cannot even get past the front page...

  5. THWIT
    Member
    Posted 1 year ago #

    Yes, that's true, but those errors aren't IE8 causing to crash.

    Because, as soon as I've deactivated your plugin, my site loads good.

    So I know that there are some errors in my site's theme, but these aren't the problem of the crashing IE8.

  6. RavanH
    Member
    Plugin Author

    Posted 1 year ago #

    What happens if you visit http://demo.status301.net in IE8 ?

  7. THWIT
    Member
    Posted 1 year ago #

    ... That site works in IE8...

  8. RavanH
    Member
    Plugin Author

    Posted 1 year ago #

    OK, I think I have spotted the issue. It's in the dynamic css from http://erikkrebbers.nl/wp-content/plugins/easy-fancybox/easy-fancybox.css.php?ver=1.3.4 where for some reason, there is https used instead of http on your server. Is it a Windows server?

    The demo site uses the latest development version of Easy FancyBox so you might try that version too just to see if that makes a difference on your site. There have been some changes to the dynamic stylesheet generation.

    You can download it from http://wordpress.org/extend/plugins/easy-fancybox/developers/ under Other Versions, then un-install the current version (!) from your site and install the zip from the Upload tab in the WP plugin installer. You might need to check your settings on Settings > Media and you can ignore the still empty new options page under Appearance.

    Let me know when you installed it and I'll take a look at the dynamic stylesheet again.

  9. THWIT
    Member
    Posted 1 year ago #

    Thank you so much! I've installed the development version and it works! It doesn't crash anymore!

    And uhh... I have to admit that I don't know which kind of server I'm using, but I thought that is isn't a Windows server...

  10. RavanH
    Member
    Plugin Author

    Posted 1 year ago #

    Excellent. Thanks for testing :)

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic